EDIT - bug #8806

Multiple representations problem on saving Desriptive Data Set
01/15/2020 04:33 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 30%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal Found in Version:

Description

This is reproducible each time:
*preparation

e connect to caryophyllales_spp (version from 2019-12-06) - available as dump at
https://cybertaxonomy.eu/download/internal/download/internal/cdm_caryophyllales_spp-issue-8806.sqgl.bz2 (requires login!)

¢ in the taxon navigator toggle the "link to taxon" button to inactive
¢ create a new desriptive dataset, add Rhipsalis pilocarpa and set the character tree, save

¢ Close and reopen the taxeditor

to reproduce

connect to caryophyllales_spp (version from 2019-12-06)

open the descriptive data set navigator

open the new descriptive data set in the "descriptive dataset Editor"

search for taxon "Rhipsalis"

go to the descriptive data set navigator and open the matrix editor for the new descriptive data set

¢ go to the taxon navigator, toggle the "link to taxon" button to inactive, and focus on "Rhipsalis Gaertn"

e open Rhipsalis Gaertn in the name editor

¢ go to the "descriptive dataset Editor" and add "Rhipsalis mesembryanthemoides Haw" by dragging and dropping it to the Taxon
filter pane.

¢ Save the "descriptive data set Editor" --> java.lang.lllegalStateException: Multiple representations

login : admin
editor version : 5.12.0.202001151349
server : localhost (localhost-dev)
schema version : 5.12.0.0.20191202
os : Linux 5.0.0-37-generic amdoc4
java : 1.8.0_131
org.eclipse.ed.core.di.InjectionException: java.lang.IllegalStateException: Multiple representatio
ns of the same entity [eu.etaxonomy.cdm.model.term.TermNode#238] are being merged. Detached: [Term
Node#238<82cc07b6-cl16f-4e13-8705-b238623cb080>]; Detached: [TermNode#238<82cc07b6-cl6f-4e13-8705-b
238623cb080>]
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:247)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90

at org.eclipse.e4d.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav
a:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.ed.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl.java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:38)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)
https://cybertaxonomy.eu/download/internal/download/internal/cdm_caryophyllales_spp-issue-8806.sql.bz2

at
at
at
at

at

org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)
org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)
org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:13

org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j

ava:152)

at

at
488)

at

org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)
org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:

org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.

java:210)

at

va:286)

at
at

org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.executeCommand (KeyBindingDispatcher. ja

org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.press (KeyBindingDispatcher. java:507)
org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.processKeyEvent (KeyBindingDispatcher. j

ava:558)

at

org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.filterKeySequenceBindings (KeyBindingDi

spatcher. java:378)

at

at

org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher.access$0 (KeyBindingDispatcher. java:324

org.eclipse.ed.ui.bindings.keys.KeyBindingDispatcher$KeyDownFilter.handleEvent (KeyBindingDi

spatcher. java:86)

at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
:1121)
at
at
022)
at
at
at
at
at
at
at
at

org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.filterEvent (Display.java:1605)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1339)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1366)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1349)
org.eclipse.swt.widgets.Widget.sendKeyEvent (Widget. java:1378)
org.eclipse.swt.widgets.Widget.gtk_key_press_event (Widget. java:764)
org.eclipse.swt.widgets.Control.gtk_key_press_event (Control. java:3465)
org.eclipse.swt.widgets.Composite.gtk_key_press_event (Composite. java:801)
org.eclipse.swt.widgets.Tree.gtk_key_press_event (Tree.java:1971)
org.eclipse.swt.widgets.Widget.windowProc (Widget. java:2000)
org.eclipse.swt.widgets.Control.windowProc (Control. java:5827)
org.eclipse.swt.widgets.Tree.windowProc (Tree.java:3721)
org.eclipse.swt.widgets.Display.windowProc (Display. java:5498)
org.eclipse.swt.internal.gtk.0S._gtk_main_do_event (Native Method)
org.eclipse.swt.internal.gtk.0S.gtk_main_do_event (0S.java:9545)
org.eclipse.swt.widgets.Display.eventProc (Display.java:1275)
org.eclipse.swt.internal.gtk.0S._g_main_context_iteration (Native Method)
org.eclipse.swt.internal.gtk.0S.g_main_context_iteration (0S.java:2495)
org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4149)
org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l

org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
org.eclipse.ui.internal.Workbench$5. run (Workbench. java:693)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc

her.java:134)

at
104)
at
at
at
at
at
at
at
at

org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:388)
org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)
sun.reflect.NativeMethodAccessorImpl.invoke(O (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
at org.eclipse.equinox.launcher.Main.main (Main. java:1492)
java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxon
omy.cdm.model.term.TermNode#238] are being merged. Detached: [TermNode#238<82cc07b6-cl6f-4e13-8705

Caused by:

-b238623cb080>1];

Detached: [TermNode#238<82cc07b6-cl6f-4e13-8705-b238623cb080>]

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (EntityCopyNotA

llowedObserver. java:37)

at org.hibernate.
at org.hibernate.

stener. java:304)

at org
va:170)

at org.
at org.
at org.
at org.
at org.
at org.
at org.
at org.
ener.java:468)
stener. java:327)

at org
va:170)
at org.
at org.
at org.
at org.
at org.
at org.
at org.
at org.
at org.
at org.
at org.

.hibernate.

hibernate

hibernate

hibernate

ener.java:468)

at org

.hibernate.

stener. java:327)

at org
va:170)

at org.
at org.
at org.
at org.
at org.
at org.
at org.
at org.
at org.
at org.
at org.
at org.

.hibernate

hibernate
hibernate

hibernate
ener.java:468)

at org
at org.
hibernate.
hibernate.
hibernate.

hibernate.
hibernate.
hibernate.

hibernate.

hibernate.

hibernate.
hibernate.
hibernate.

hibernate.

event.internal.MergeContext.put (MergeContext.java:245)
event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi

event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

internal.SessionImpl.fireMerge (SessionImpl. java:850)
internal.SessionImpl.merge (SessionImpl.java:832)
engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)
engine.internal.Cascade.cascadeToOne (Cascade. java:398)

.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)
hibernate.

engine.internal.Cascade.cascadeProperty (Cascade.java:162)
engine.internal.Cascade.cascade (Cascade. java:111)

.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList

event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi

event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

internal.SessionImpl.fireMerge (SessionImpl. java:850)
internal.SessionImpl.merge (SessionImpl. java:832)

.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)
hibernate.

engine.internal.Cascade.cascadeToOne (Cascade.java:398)
engine.internal.Cascade.cascadeAssociation (Cascade. java:323)
engine.internal.Cascade.cascadeProperty (Cascade. java:162)
engine.internal.Cascade.cascadeCollectionElements (Cascade.java:431)

.engine.internal.Cascade.cascadeCollection (Cascade. java:363)
hibernate.

engine.internal.Cascade.cascadeAssociation (Cascade. java:326)
engine.internal.Cascade.cascadeProperty (Cascade.java:162)

.engine.internal.Cascade.cascade (Cascade.java:111)
hibernate.

event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList

event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi

.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

internal.SessionImpl.fireMerge (SessionImpl. java:850)

.internal.SessionImpl.merge (SessionImpl. java:832)
.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

engine.internal.Cascade.cascadeToOne (Cascade.java:398)
engine.internal.Cascade.cascadeAssociation (Cascade. java:323)
engine.internal.Cascade.cascadeProperty (Cascade.java:162)

.engine.internal.Cascade.cascadeCollectionElements (Cascade. java:431)
hibernate.

engine.internal.Cascade.cascadeCollection (Cascade. java:363)
engine.internal.Cascade.cascadeAssociation (Cascade. java:326)

.engine.internal.Cascade.cascadeProperty (Cascade.java:162)
hibernate.

engine.internal.Cascade.cascade (Cascade. java:111)
event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList

event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi

event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

.internal.SessionImpl.fireMerge (SessionImpl. java:850)
hibernate.

internal.SessionImpl.merge (SessionImpl.java:832)
engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)
engine.internal.Cascade.cascadeToOne (Cascade.java:398)
engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

.engine.internal.Cascade.cascadeProperty (Cascade.java:162)
hibernate.

engine.internal.Cascade.cascadeCollectionElements (Cascade. java:431)
engine.internal.Cascade.cascadeCollection (Cascade. java:363)
at
at
at
at

org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:326)
org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)
org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)
org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList

ener.java:468)

at

org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi

stener. java:327)

at

va:170)

at
at
at
at
at
at
at
at

org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)
org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)
org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)
org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)
org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)
org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)
org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)
org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList

ener.java:468)

at

stener.

at

va:170)

at
at
at
at
at
at
at
at

org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
java:327)
org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)
org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)
org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)
org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade.java:398)
org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)
org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)
org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)
org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList

ener.java:468)

at

stener.

at

va:170)

at
va:69)
at
at
at
at

org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
Java:327)
org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:840)
org.hibernate.internal.SessionImpl.merge (SessionImpl. java:822)
org.hibernate.internal.SessionImpl.merge (SessionImpl. java:827)
eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.merge (CdmEntityDaoBase. j

ava:286)

at
at
at
at
at
at
at

eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:234)
eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:1l)
sun.reflect.GeneratedMethodAccessorl99.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)
org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth

odInvocation. java:190)

at

org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca

tion.java:157)

at

org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (

TransactionInterceptor. java:99)

at

org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio

n(TransactionAspectSupport. java:281)

at

org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc

eptor.java:96)

at

org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca

tion.java:179)

at
at
at
at
at
at
at

org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy. java:208)
com.sun.proxy.S$Proxyl78.merge (Unknown Source)
sun.reflect.GeneratedMethodAccessorl99.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)
org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelInterceptor.invoke (RemotelInvocati
onTraceInterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy281l.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemotelInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemoteIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:841)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1634)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:213)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1621)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1613)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:541)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:548)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:132)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:190)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:1584)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:188)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1228)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:168)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:481)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler.java:1553)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler.java:166)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1130)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse. jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:132)

at org.eclipse.jetty.server.Server.handle (Server. java:564)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:320)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:251)

at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:279)

at org.eclipse.jetty.io.FillInterest.fillable(FillInterest. java:112)

at org.eclipse.jetty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:124)

at org.eclipse.jetty.util.thread.Invocable.invokePreferred (Invocable. java:122)

at org.eclipse.jetty.util.thread.strategy.ExecutingExecutionStrategy.invoke (ExecutingExecution
Strategy.java:58)

at org.eclipse.jetty.util.thread.strategy.ExecuteProduceConsume.produceConsume (ExecuteProduceC
onsume. java:201)

at org.eclipse.jetty.util.thread.strategy.ExecuteProduceConsume.run (ExecuteProduceConsume. java
:133)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:672)

at org.eclipse.jetty.util.thread.QueuedThreadPool$2.run (QueuedThreadPool. java:590)

at java.lang.Thread.run (Thread. java:748)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

04/09/2024 6/8




at
at

com.sun.proxy.S$Proxy47.merge (Unknown Source)
eu.etaxonomy.taxeditor.editor.descriptiveDataSet.DescriptiveDataSetEditor.save (DescriptiveD

ataSetEditor. java:323)

at
at
at
at
at

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)

67 more

Related issues:

Related to EDIT - bug #8746: Multiple representations problem on saving Matr... Rejected

Related to EDIT - bug #8638: Session behavior not deterministic New

Associated revisions

Revision defea9e9 - 05/04/2020 05:02 PM - Katja Luther

ref #8806: bind session to matrix editor when opening and focus

History

#1 - 01/15/2020 04:34 PM - Andreas Kohlbecker

- Related to bug #8746: Multiple representations problem on saving Matrix Editor added

#2 - 01/15/2020 04:35 PM - Andreas Kohlbecker

- Description updated

#3 - 01/15/2020 04:50 PM - Andreas Kohlbecker

- Description updated

#4 - 01/16/2020 09:59 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.13

If this is reproducable it should be fixed soon.

#5 - 01/16/2020 10:01 AM - Andreas Miiller

- Related to bug #8638: Session behavior not deterministic added

#6 - 02/21/2020 10:45 AM - Andreas Kohlbecker

- Tags set to multiple-representations-problem

#7 - 03/09/2020 04:29 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#8 - 04/08/2020 03:49 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#9 - 05/04/2020 02:18 PM - Katja Luther

this seems to be related to open the same descriptive dataset in descriptive dataset editor and in character matrix. When opening the descriptive
dataset only in the descriptive dataset editor saving is possible without exception.
And also only if the matrix is opened first.

#10 - 05/04/2020 05:04 PM - Katja Luther

- Status changed from New to In Progress

- % Done changed from 0 to 30

Could not reproduce the problem anymore, but needs further testing.

#11 - 06/11/2020 12:33 PM - Katja Luther

- Status changed from In Progress to Worksforme
this seems to be fixed with one of the other fixes in character matrix and descriptive dataset editor
